Dist::Zilla::MVP::Assembler::GlobalConfig(3)

NAME
Dist::Zilla::MVP::Assembler::GlobalConfig - Dist::Zilla::MVP::Assembler for global configuration

VERSION
version 4.300016

OVERVIEW
This is a subclass of Dist::Zilla::MVP::Assembler used when assembling the global configuration. It has a "stash_registry" attribute, a hashref, into which stashes will be registered.

They get registered via the "register_stash" method, below, generally called by the "register_component" method on Dist::Zilla::Role::Stash-performing class.

METHODS

  register_stash
  $assembler->register_stash($name => $stash_object);

This adds a stash to the assembler's stash registry -- unless the name is already taken, in which case an exception is raised.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.